# Delete Template

URL: https://developers.cuedesk.com/reference/template-management-api/delete-template

`DELETE https://api.cuedesk.com/v1/templates/{template_uuid}`

Guide: [Template Management API](https://developers.cuedesk.com/api/template_management_api.md)

Authentication: send `Authorization: Bearer <token>`, with an API token from Settings > API Tokens.

The OpenAPI operation. `$ref` values point into https://developers.cuedesk.com/openapi.json.

```json
{
  "tags": [
    "Templates"
  ],
  "summary": "Delete Template",
  "description": "Delete a WhatsApp message template by UUID.",
  "operationId": "delete_template_v1_templates__template_uuid__delete",
  "parameters": [
    {
      "name": "template_uuid",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "title": "Template Uuid"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "required": false,
      "schema": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ],
        "title": "Authorization"
      },
      "description": "An API token from **Settings > API Tokens**, as `Bearer <token>`.",
      "example": "Bearer <token>"
    }
  ],
  "responses": {
    "202": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/DeleteTemplateResponse"
          }
        }
      }
    },
    "4XX": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/TemplateErrorResponse"
          }
        }
      },
      "description": "Client Error"
    },
    "5XX": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/TemplateErrorResponse"
          }
        }
      },
      "description": "Server Error"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-cue-guide": {
    "title": "Template Management API",
    "url": "/api/template_management_api"
  }
}
```